Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkSpherePuzzle Class Reference

`#include <vtkSpherePuzzle.h>`

Inheritance diagram for vtkSpherePuzzle:

[legend]
Collaboration diagram for vtkSpherePuzzle:

[legend]
List of all members.

## Detailed Description

create a polygonal sphere centered at the origin

Date:
  2002/11/03 22:51:56

Revision:
  1.5

vtkSpherePuzzle creates

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (93%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkSpherePuzzle.cxx)`
  - .`h` (`/Graphics/vtkSpherePuzzle.h)`

Examples:
  vtkSpherePuzzle (Examples)

Tests:
  vtkSpherePuzzle (Tests)

Definition at line 51 of file vtkSpherePuzzle.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | Reset ()
void | MoveHorizontal (int section, int percentage, int rightFlag)
void | MoveVertical (int section, int percentage, int rightFlag)
int | SetPoint (float x, float y, float z)
void | MovePoint (int percentage)
int * | GetState ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkSpherePuzzle * | SafeDownCast (vtkObject *o)
vtkSpherePuzzle * | New ()
## Protected Methods
| vtkSpherePuzzle ()
| ~vtkSpherePuzzle ()
void | Execute ()
void | MarkVertical (int section)
void | MarkHorizontal (int section)
## Protected Attributes
int | State [32]
int | PieceMask [32]
vtkTransform * | Transform
unsigned char | Colors [96]
int | Active
int | VerticalFlag
int | RightFlag
int | Section

## Member Typedef Documentation

typedef vtkPolyDataSource vtkSpherePuzzle::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 54 of file vtkSpherePuzzle.h.

## Constructor & Destructor Documentation

vtkSpherePuzzle::vtkSpherePuzzle | ( |  | ) | `[protected]`

vtkSpherePuzzle::~vtkSpherePuzzle | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkSpherePuzzle::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkSpherePuzzle::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkSpherePuzzle::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkSpherePuzzle* vtkSpherePuzzle::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkSpherePuzzle::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

vtkSpherePuzzle* vtkSpherePuzzle::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

void vtkSpherePuzzle::Reset | ( |  | ) |

| Reset the state of this puzzle back to its original state.

void vtkSpherePuzzle::MoveHorizontal | ( | int | section,
|  | int | percentage,
|  | int | rightFlag
| ) |

| Move the top/bottom half one segment either direction.

void vtkSpherePuzzle::MoveVertical | ( | int | section,
|  | int | percentage,
|  | int | rightFlag
| ) |

| Rotate vertical half of sphere along one of the longitude lines.

int vtkSpherePuzzle::SetPoint | ( | float | x,
|  | float | y,
|  | float | z
| ) |

| SetPoint will be called as the mouse moves over the screen. The output will change to indicate the pending move. SetPoint returns zero if move is not activated by point. Otherwise it encodes the move into a unique integer so that the caller can determine if the move state has changed. This will answer the question, "Should I render."

void vtkSpherePuzzle::MovePoint | ( | int | percentage | ) |

| Move actually implements the pending move. When percentage is 100, the pending move becomes inactive, and SetPoint will have to be called again to setup another move.

int* vtkSpherePuzzle::GetState | ( |  | ) | `[inline]`

| For drawing state as arrows. Definition at line 81 of file vtkSpherePuzzle.h.

void vtkSpherePuzzle::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkSpherePuzzle::MarkVertical | ( | int | section | ) | `[protected]`

void vtkSpherePuzzle::MarkHorizontal | ( | int | section | ) | `[protected]`

## Member Data Documentation

int vtkSpherePuzzle::State[32]`[protected]`

| Definition at line 91 of file vtkSpherePuzzle.h.

int vtkSpherePuzzle::PieceMask[32]`[protected]`

| Definition at line 94 of file vtkSpherePuzzle.h.

vtkTransform* vtkSpherePuzzle::Transform`[protected]`

| Definition at line 95 of file vtkSpherePuzzle.h.

unsigned char vtkSpherePuzzle::Colors[96]`[protected]`

| Definition at line 98 of file vtkSpherePuzzle.h.

int vtkSpherePuzzle::Active`[protected]`

| Definition at line 101 of file vtkSpherePuzzle.h.

int vtkSpherePuzzle::VerticalFlag`[protected]`

| Definition at line 102 of file vtkSpherePuzzle.h.

int vtkSpherePuzzle::RightFlag`[protected]`

| Definition at line 103 of file vtkSpherePuzzle.h.

int vtkSpherePuzzle::Section`[protected]`

| Definition at line 104 of file vtkSpherePuzzle.h.

The documentation for this class was generated from the following file:

- Graphics/vtkSpherePuzzle.h